/// <reference types="react" />
import type { ViewStyle, TextStyle } from "react-native";
import type { InputProps, DoneBarProps, BackdropAnimationType } from "../types";
export declare type Mode = "date" | "time" | "datetime" | "countdown";
export declare type IOSDisplay = "default" | "compact" | "inline" | "spinner";
export declare type Display = "spinner" | "default" | "clock" | "calendar";
export declare type MinuteInterval = 1 | 2 | 3 | 4 | 5 | 6 | 10 | 12 | 15 | 20 | 30;
export declare type DatePickerProps = {
    locale?: string;
    minuteInterval?: MinuteInterval;
    iosDisplay?: IOSDisplay;
    androidDisplay?: Display;
    iosMode?: Mode;
    androidMode?: Mode;
    timeZoneOffsetInMinutes?: number;
    textColor?: string;
    is24Hour?: boolean;
    neutralButtonLabel?: string;
    maximumDate?: Date;
    minimumDate?: Date;
    value?: Date;
    androidCustomProps?: {
        [key: string]: any;
    };
    iosCustomProps?: {
        [key: string]: any;
    };
    text: string;
    title?: string;
    doneButtonLabel?: string;
    onDateChange: (date?: Date) => void;
    onOpen?: () => void;
    onClose?: () => void;
    isNullable?: boolean;
    disabled?: boolean;
    InputComponent?: React.ElementType<InputProps>;
    DoneBarComponent?: React.ElementType<DoneBarProps>;
    backdropAnimation?: BackdropAnimationType;
    style?: ViewStyle;
    textInputStyle?: TextStyle;
    containerStyle?: ViewStyle;
    touchableStyle?: ViewStyle;
    iosCompactHiddenStyle?: ViewStyle;
};
